Simpler Navigation for Servers and Operating Systems - Please Update Your Bookmarks
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
If you have bookmarked forums or discussion boards in Servers and Operating Systems, we suggest you check and update them as needed.
General
cancel
Showing results for 
Search instead for 
Did you mean: 

ORACLE 8.1.6 and 8.1.7.4 binaries compatible??

Enrico Venturi
Super Advisor

ORACLE 8.1.6 and 8.1.7.4 binaries compatible??

Hello colleagues,
I got an error while tryng to recover a database release 8.1.6 by using redo log archive 8.1.6 in an 8.1.7.4 environment (binaries, executables)
The error sounds like
"00331 .... "

My question is:
can I remote copy the DB datafiles created in 8.1.6 to a 8.1.7.4 ?
The RDBMS 8.1.7.4 is compatible with the dbf in 8.1.6?

regards
Enrico
8 REPLIES
Steven E. Protter
Exalted Contributor

Re: ORACLE 8.1.6 and 8.1.7.4 binaries compatible??

No.

Your data needs a minor conversion. The normal procedure is export/import.

The upgrade process from 8.1.6 to 8.1.7.4.0 changes the data files.

If you can tolerate the risk, you can try it though. Oracle might be smart enough to do the conversion. I kind of doubt it though.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Enrico Venturi
Super Advisor

Re: ORACLE 8.1.6 and 8.1.7.4 binaries compatible??

are there any conversion tools?

thanks
Enrico
Steven E. Protter
Exalted Contributor

Re: ORACLE 8.1.6 and 8.1.7.4 binaries compatible??

You could install 8.1.7.4.0 into a machine configured to run the 8.1.6 database.

The install gui might have an option for converting the data.

Otherwise, you must run a migration procedure, after installing 8.1.7.4.0


The migration procedure is available at metalink.oracle.com or otn.oracle.com

Both sites require registration, metalink requires a valid software service contract.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Enrico Venturi
Super Advisor

Re: ORACLE 8.1.6 and 8.1.7.4 binaries compatible??

Can you please tell me exactly where's the migration procedure in the otn.oracle.com site?
I cannot find it ...

Thanks
Enrico
Massimo Bianchi
Honored Contributor

Re: ORACLE 8.1.6 and 8.1.7.4 binaries compatible??

Hi Enrico,
here is the guide i use with SAP/Oracle for upgrading to 817.

If you skip the SAP parts, it is good the same.

BUT, you must do the upgrade before the recover, obviously.

Is this a side-problem, with the one you were on the previous week ?

Massimo
Enrico Venturi
Super Advisor

Re: ORACLE 8.1.6 and 8.1.7.4 binaries compatible??

Yes Massimo, you're right! The problem is related to that one I mentioned last week.

Is the procedure you suggested to me able to convert the archived redo log too?

Thanks again
Enrico
Massimo Bianchi
Honored Contributor

Re: ORACLE 8.1.6 and 8.1.7.4 binaries compatible??

Unfortunatly NO.

It can be used to convert a whole and working database, not the single archivelog.
You must first convert the DB...

AFAIK there is no possibility to do that, because it is dependant from the version of the oracle db writer.

But, le me suggest one thing. Why don't you ask for a whole procedure, telling us what you have in mind or what you have to do?

Many of us already did some migration, transition and so on.
If you ask for the solution of the single problem, maybe we direct you in a wrong direction.

If you can tell us the start and the desidered result, a better plan can come out. I think that this is the real power of this forum, many minds working towards the resolution of a problem, with many different level of experience.

With the whole problem clear, you can get a better solution.

Massimo "None of us is as good as all of us"









Enrico Venturi
Super Advisor

Re: ORACLE 8.1.6 and 8.1.7.4 binaries compatible??

Massimo,
I try to summarize my main goal:
* to migrate the application persistent data of a system in release N to another system in release N+1 without stopping the source application

The application persistent data include an ORACLE DB.
The ORACLE in relase N is 8.1.6
The ORACLE in release N+1 is 8.1.7.4
The database in release N has ORACLE_SID=pippo
The database in release N has ORACLE_SID=pippo1

I don't want to use the exp/imp utilities because they are very slow.

I'd like to use the remote copy of the datafiles and the apply of the archived redo logs.

At the beginning of the process I wasn't aware of the different release of ORACLE.

So, now:
* I need to export the datafiles
* I need to copy them on the new machine
* I need to convert the datafiles by the odma tool
* I need to convert the redo log files (Oops!! this isn't possible at all!)
* I produce a new control file based on the "old" one with a new ORACLE_SID
* start the DB

Because of it isn't possible to convert the redo logs I think it's needed to shutdown the source DB before copy it..

That's all.